<?php
use App\Base\Base;
use App\Services\demo\MysqlService;

class MysqlController extends Base
{
    public function addAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->addUser();
        var_dump($ret);
        exit;
    }

    public function addManyAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->addManyUser();
        var_dump($ret);
        exit;
    }

    public function deleteAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->deleteUser();
        var_dump($ret);
        exit;
    }

    public function updateAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->updateUser();
        var_dump($ret);
        exit;
    }

    public function getAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->getUser();
        var_dump($ret);
        exit;
    }

    public function getManyAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->getManyUser();
        var_dump($ret);
        exit;
    }

    public function countAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->countUser();
        var_dump($ret);
        exit;
    }

    public function maxAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->maxUser();
        var_dump($ret);
        exit;
    }

    public function minAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->minUser();
        var_dump($ret);
        exit;
    }

    public function avgAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->avgUser();
        var_dump($ret);
        exit;
    }

    public function sumAction()
    {
        $mysql_service = new MysqlService();
        $ret = $mysql_service->sumUser();
        var_dump($ret);
        exit;
    }
}
